'use strict';
let UiCacheConstants = {
    COMM_CONNECTOR: "_",
    DD_SCHEMA_DATA: "1",
    CODE_TABLE_DATA: "2",
    BIG_CODE_TABLE: "3",
    UI_CACHE_VERSION: "Version",
    IS_DIRTY_FLG:"IsDirty",
    DIRTY_OBJECT:"DirtyObject",
    PRODUCT_CONTEXT_TYPE: -2,
    COMMON_CONTEXT_TYPE: -1,
    COMMON_CONTEXT_REFERENCE_ID:-1,
    VERSION_FOR_CLIENT:"versionForClient",
    CONNECT_KEY:"_",
    ChildBusinessObjectArray:"ChildBusinessObjectArray",
    ChildBusinessObjectInArray:"ChildBusinessObjectInArray",
    InstanceObjectsCascadeArray:"InstanceObjectsCascadeArray",
    FIELDS:"Fields",
    DEFAULT_VALUE:"DefaultValue",
    ALL_BUSINESS_OBJECT_CACHE:"0",
    BUSINESS_MODEL_CODE_MATCHED_CACHE:"7",
    BUSINESS_OBJECT_MATCHED_CACHE:"8",
    ALL_BUSINESS_OBJECT_MATCHED_CACHE:"9",
    DD_MODEL_NAME: "ModelName",
    DD_OBJECT_CODE: "ObjectCode",
    DD_BUSINESS_OBJECT_ID: "BusinessObjectId",
    CHILD_ELEMENTS: "ChildElements",
    COMM_PK: "@pk",
    COMM_TYPE: "@type",
    COMM_LIST: "List",
    COMM_TYPE: "@type",
    COMM_UUID: "BusinessUUID",
    COMM_INSERT_BY: "InsertBy",
    COMM_INSERT_TIME: "InsertTime",
    COMM_SEQUENCE_NUMBER: "SequenceNumber",
    COMM_UPDATE_BY: "UpdateBy",
    COMM_UPDATE_TIME: "UpdateTime",
    COMM_TYPE_CONNECTOR: "-",
    COMM_AUTO_CREATED: "AutoCreated",
    COMM_AUTO_CREATED_VALUE: "Y",
    RELATION_TYPE:"RelationType",
    RELATION_TYPE_ONE:-2,
    RELATION_TYPE_MORE:-2,
    RELATION_NAME:"RelationName",
    AUTO_CREATED:"AutoGenerate",
    YES_FLG:"Y",
    CLEAN_FROM_CLIENT:"CleanFromClient",
    STATUS:"status",
    UU_ID:"uuid",
    SESSION_RITREATY_KEY:"SESSION_RITREATY_KEY",
    SESSION_ENDORSEMENT_KEY:"SESSION_ENDORSEMENT_KEY",
    SESSION_SUBMISSION_KEY:"SESSION_SUBMISSION_KEY",
    SESSION_POLICY_KEY:"SESSION_POLICY_KEY",
    SESSION_APPDATA_KEY:"SESSION_APPDATA_KEY",
    SESSION_SCHEMA_KEY_OBJECT:"SESSION_SCHEMA_KEY_OBJECT",
    SESSION_POLICY_SCHEMA_KEY_DATA:"SESSION_POLICY_SCHEMA_KEY_DATA_",
    SESSION_CURRENT_SCHEMA_KEY_DATA:"SESSION_CURRENT_SCHEMA_KEY_DATA",
    DATA_INDEX:"dataIndex",
    OPERATION_STATUS:"operationStatus",
    POLICY_MODULE:"POLICY_MODULE_",
    ENDORSEMENT_MODULE:"ENDORSEMENT_MODULE_",
    DD_SCHEMA_DATA_KEY:"DD_SCHEMA_DATA_KEY",
    ENDORSEMENT:'Endorsement',
    ENDORSEMENT_CODE:'Endorsement',
    APP_DATA:'AppData',
    APP_DATA_CODE:'AppData',
    SUBMISSION:'Submission',
    ENDORSEMENT_SUBMISSION:'EndorsementSubmission',
    SUBMISSION_CODE:'Submission',
    SUBMISSION_PRODUCT:'SubmissionProduct',
    ENDORSEMENT_SUBMISSION_PRODUCT:'EndorsementSubmissionProduct',
    SUBMISSION_PRODUCT_CODE:'SubmissionProduct',
    POLICY:'Policy',
    POLICY_LOB:'PolicyLob',
    POLICY_RISK:'PolicyRisk',
    MASS_POLICY_COVERAGE:'MassPolicyCoverage',
    POLICY_LIMIT:'PolicyLimitDeductible',
    POLICY_AGREEMENT:'PolicySpecialAgreement',
    POLICY_CT_FORM:'PolicyCoverageForm',
    POLICY_BENEFIT:'PolicyBenefit',
    POLICY_COVERAGE:'PolicyCoverage',
    POLICY_CT_GROUP:'PolicyCoverageGroup',
    POLICY_FORM:'PolicyForm',
    POLICY_PERIL:'PolicyPeril',
    POLICY_SUB_COVERAGE:'PolicySubCoverage',
    POLICY_PLAN:'PolicyPlan',
    COMMON_PLAN:'CommonPlan',
    POLICY_CODE:'POLICY',
    RITREATY:'RiTreaty',
    RITREATY_CODE:'RiTreaty',
    POLICY_PACKAGE:"PolicyPackage",
    PRODUCT_ID:"ProductId",
    PRODUCT_LOB_ID:"ProductLobId",
    COMMERCIAL_SUBMISSION:"CommercialSubmission",
    PRODUCT:"Product",
    PRODUCT_ELEMENT:"ProductElement",
    PRODUCT_ELEMENT_CODE:"ProductElementCode",
    TEMP_DATA:"TempData",
    CURRENT_SCHEMA:"CURRENT_SCHEMA",
    PARENT_SCHEMA:"PARENT_SCHEMA",
    PARENT_MODEL_NAME:'ParentModelName',
    PARENT_OBJECT_CODE:'ParentObjectCode',
    SCOPE_MODEL_NAME:'ScopeModelName',
    SCOPE_OBJECT_CODE:'ScopeObjectCode',
    ELEMENT_ID:'ElementId',
    ELEMENT_CODE:'ElementCode',
    PRODUCT_ELEMENT_ID:"ProductElementId",
    PRODUCT_CODE:"ProductCode",
    TEMP_TYPE:"tempType"
};
UiCacheConstants.HAVE_ELEMENT_CODE = [UiCacheConstants.POLICY_RISK, UiCacheConstants.MASS_POLICY_COVERAGE, UiCacheConstants.POLICY_LIMIT, UiCacheConstants.POLICY_AGREEMENT, UiCacheConstants.POLICY_CT_FORM, UiCacheConstants.POLICY_BENEFIT, UiCacheConstants.POLICY_COVERAGE, UiCacheConstants.POLICY_CT_GROUP, UiCacheConstants.POLICY_FORM, UiCacheConstants.POLICY_PERIL,UiCacheConstants.POLICY_SUB_COVERAGE];

module.exports = UiCacheConstants;
